/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "../libs.h"
#include "texture.h"

#define MANAGED_TEXTURE_SCALE_MAX 5

typedef struct {
  int16_t width;
  int16_t height;
  uint8_t scale;
} texturescalescale_t;

typedef struct {
  uint8_t channels;
  const char *file;
  const char *path;
  int16_t baseWidth;
  int16_t baseHeight;

  texturescalescale_t scales[MANAGED_TEXTURE_SCALE_MAX];
  uint8_t scaleCount;
} texturescale_t;