/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "item.h"
#include "../asset.h"

/**
 * Queue a font load onto the asset manager buffer.
 * 
 * @param manager Manager to queue on to.
 * @param owner Owner ID requesting to load this resource.
 * @param font Font to push the result in to.
 * @param fileName Filename of the asset to load.
 * @return A pointer to the asset manager item for tracking.
 */
assetmanageritem_t * assetManagerLoadFont(
  assetmanager_t *manager, assetmanagerholder_t owner, const char fileName[]
);

bool _assetManagerLoaderFontAsync(assetmanageritem_t *item);
bool _assetManagerLoaderFontSync(assetmanageritem_t *item);
bool _assetManagerLoaderFontDispose(assetmanageritem_t *item);